// UnosStudenta1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "UnosStudenta1.h"
#include "UnosStudenta1Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUnosStudenta1Dlg dialog

CUnosStudenta1Dlg::CUnosStudenta1Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUnosStudenta1Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUnosStudenta1Dlg)
	ime = _T("");
	indeks = _T("");
	prezime = _T("");
	info = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CUnosStudenta1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUnosStudenta1Dlg)
	DDX_Text(pDX, IDC_ime, ime);
	DDX_Text(pDX, IDC_indeks, indeks);
	DDX_Text(pDX, IDC_prezime, prezime);
	DDX_Text(pDX, IDC_info, info);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CUnosStudenta1Dlg, CDialog)
	//{{AFX_MSG_MAP(CUnosStudenta1Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_snimi, Onsnimi)
	ON_BN_CLICKED(IDC_citaj, Oncitaj)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUnosStudenta1Dlg message handlers

BOOL CUnosStudenta1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();


	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// Kreiranje nove instance klase CFile
	CStdioFile Fajl;

	// Kreiranje novog fajla na fajl-sistemu
    Fajl.Open("baza.txt", CFile::modeCreate);

	// Zatvaranje fajla
	Fajl.Close();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CUnosStudenta1Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CUnosStudenta1Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CUnosStudenta1Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CUnosStudenta1Dlg::Onsnimi() 
{
	UpdateData(true);
	CStdioFile Fajl;
	Fajl.Open( "baza.txt", CFile::modeWrite);
	Fajl.SeekToEnd();
    Fajl.WriteString(ime+" "+prezime+" "+indeks);
    Fajl.WriteString("\n");
	Fajl.Close();
	MessageBox("Snimanje sadzaja je uspesno obavljeno.", "Snimanje");
	ime = "";
	prezime = "";
	indeks = "";
	info = "";
	UpdateData(false);	
}

void CUnosStudenta1Dlg::Oncitaj() 
{
	UpdateData(true);
	CStdioFile Fajl;
	Fajl.Open( "baza.txt", CFile::modeRead);
	Fajl.ReadString(info);
	UpdateData(false);
}
